Bug 1148361 - The “preview” button in the list of input sources in gnome-initial-setup does not make sense for input sources which are engines
Summary: The “preview” button in the list of input sources in gnome-initial-setup does...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-initial-setup
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rui Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-01 09:33 UTC by Mike FABIAN
Modified: 2019-03-28 09:25 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 11:48:44 UTC


Attachments (Terms of Use)
f21-gnome-initial-setup-input-source-selection-japanese.png (101.31 KB, image/png)
2014-10-01 09:33 UTC, Mike FABIAN
no flags Details
Image shows preview button active with ibus-sayura engine as well (57.40 KB, image/png)
2018-02-22 09:27 UTC, Pravin Satpute
no flags Details

Description Mike FABIAN 2014-10-01 09:33:11 UTC
Created attachment 942996 [details]
f21-gnome-initial-setup-input-source-selection-japanese.png

Fedora 21 Alpha installed in qemu with:

ionice -c 3 qemu-kvm -enable-kvm -global qxl.ram_size=1x1024 -m 2048M -smp 2 -drive file=./Fedora-Live-Workstation-x86_64-21_Alpha-1.iso.qcow2,index=0,media=disk,cache=unsafe -localtime -serial file:/tmp/qemu-Fedora-Live-Workstation-x86_64-21_Alpha-1.iso.qcow2-output.log -name Fedora-Live-Workstation-x86_64-21_Alpha-1.iso.qcow2 -cdrom /local/mfabian/iso/f21-Alpha/Fedora-Live-Workstation-x86_64-21_Alpha-1.iso -boot c -spice port=6000,disable-ticketing,streaming-video=off -vga qxl -display vnc=:4 -net nic -net user,hostname=Fedora-Live-Workstation-x86_64-21_Alpha-1.iso.qcow2,hostfwd=tcp::5555-:22 -monitor stdio -usb

Then updated everything with

    “sudo yum update”

then  rebooted.

After reboot, gnome-initial-setup shows up.

In the list of input sources shown by gnome-initial-setup,
there is a “preview” button to the right of each input source.
Clicking that “preview” button shows a keyboard layout.

For engines like ibus-kkc, this does not make much sense as they can
be used with any keyboard layout (ibus-kkc uses the keyboard layout
which was active when switching to that engine).

I guess the preview link should not be shown for engines, maybe it
would be nice to show some indicator if an input source is an engine
like the cog-wheels “gnome-control-center region” shows for engines
but not for keyboard layouts.

Comment 1 Mike FABIAN 2014-10-01 10:00:32 UTC
The “preview” button for ibus-kkc showed a Japanese keyboard layout.

Now I did the following:

- Continue in gnome-initial-setup accepting all defaults until
  gnome-intial-setup is finished
- ibus-kkc is the only input source selectable in the gnome-panel now
- Open a gnome-terminal
- Switch ibus-kkc to “Direct input mode” (直接入力)
- Type Shift+8, the result is “*”.
  This means what we have here is an US keyboard layout, not
  the Japanese keyboard layout, i.e. it is not what was
  shown in the preview in gnome-initial-setup when clicking
  the “preview” link next to ibus-kkc.
  This is further indication that this “preview” link is useless
  and misleading for engines.

The “*” on the Japanese layout is not on Shift+8:

https://en.wikipedia.org/wiki/Keyboard_layout#mediaviewer/File:KB_Japanese.svg

Comment 2 Mike FABIAN 2014-10-01 10:07:14 UTC
(In reply to Mike FABIAN from comment #1)

>   This means what we have here is an US keyboard layout, not
>   the Japanese keyboard layout, 

This might be because I selected US and Japanese layouts in Anaconda
and gave the US layout higher priority, Which probably gave me this:

[mfabian@localhost ~]$ cat /etc/X11/xorg.conf.d/00-keyboard.conf 
# Read and parsed by systemd-localed. It's probably wise not to edit this file
# manually too freely.
Section "InputClass"
        Identifier "system-keyboard"
        MatchIsKeyboard "on"
        Option "XkbLayout" "us,jp"
        Option "XkbVariant" ","
EndSection
[mfabian@localhost ~]$ 

I.e. if I had installed in Japanese and accepted the default
for the keyboard in Anaconda, probably would have gotten the
Japanese layout in direct mode of ibus-kkc.

But this still means that what the preview shows is meaningless
because it can be anything really, whatever is already there,
it does not have to be what the preview link in gnome-initial-setup shows.

Comment 3 Mike FABIAN 2015-04-20 15:13:29 UTC
It is still the same in Fedora-Live-Workstation-x86_64-22_Beta-3.iso,
the useless “preview” link/button is still shown for engines like
ibus-kkc which can be used with any keyboard layout.

Comment 4 Satyabrata Maitra 2016-05-30 07:31:17 UTC
I don't see this fixed in F24.

Comment 5 Fedora End Of Life 2017-07-25 18:42:56 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-08-08 11:48:44 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Bhushan Barve 2017-08-24 10:40:24 UTC
Reproducible in F26.

Comment 8 Pravin Satpute 2018-02-22 09:26:34 UTC
This issue is reproducible on F27 as well. @Rui any plan for working on this issue?

Comment 9 Pravin Satpute 2018-02-22 09:27:15 UTC
Created attachment 1399267 [details]
Image shows preview button active with ibus-sayura engine as well


Note You need to log in before you can comment on or make changes to this bug.